<template>
    <div>
      <label :for="inputData">{{ formData }}</label>
      <input
        :value= "modelValue"
        :type= "type"
        :id= "inputData"
        :name= "inputData"
        :placeholder= "formData"
        @input="$emit('update:modelValue', $event.target.value)"
        >
    </div>
   </template>

<script>
export default {
  name: 'rescourceInput',
  props: {
    modelValue: {
      type: String
    },
    formData: {
      type: String
    },
    type: {
      type: String
    },
    inputData: {
      type: String
    },
    emits: ['update:modelValue']
  }
}
</script>